<!-------------------------------------------------------------------------------------------------
  - #%L                                                                                           -
  - chvote-pact                                                                                   -
  - %%                                                                                            -
  - Copyright (C) 2016 - 2018 République et Canton de Genève                                      -
  - %%                                                                                            -
  - This program is free software: you can redistribute it and/or modify                          -
  - it under the terms of the GNU Affero General Public License as published by                   -
  - the Free Software Foundation, either version 3 of the License, or                             -
  - (at your option) any later version.                                                           -
  -                                                                                               -
  - This program is distributed in the hope that it will be useful,                               -
  - but WITHOUT ANY WARRANTY; without even the implied warranty of                                -
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                  -
  - GNU General Public License for more details.                                                  -
  -                                                                                               -
  - You should have received a copy of the GNU Affero General Public License                      -
  - along with this program. If not, see <http://www.gnu.org/licenses/>.                          -
  - #L%                                                                                           -
  ------------------------------------------------------------------------------------------------->

<div class="action-row action-detail-main-row action-button-row">
  <button id="createActionBtn" *ngIf="!action.id"
          mat-raised-button color="primary"
          (click)="openCreateActionDialog()">
    {{ (i18nLabel + '.detail.create' | translate) | uppercase }}
  </button>
  <button id="rejectActionBtn" *ngIf="action.id && canApprove"
          mat-raised-button color="accent"
          (click)="openRejectActionDialog()">
    {{ (i18nLabel + '.detail.reject' | translate) | uppercase }}
  </button>
  <button id="approveActionBtn" *ngIf="action.id && canApprove"
          mat-raised-button color="primary"
          (click)="openApproveActionDialog()">
    {{ (i18nLabel + '.detail.approve' | translate) | uppercase }}
  </button>
</div>
